smuxi-message-buffer(1)

NAME
smuxi-message-buffer - converts and dumps Smuxi chat history

SYNOPSIS
smuxi-message-buffer [-dh] convert [--source-format=format] [--destination-format=format] source-file destination-file
smuxi-message-buffer [-dh] cat [--format=format] source-file

DESCRIPTION
smuxi-message-buffer is a tool that manages the databases that Smuxi holds chat histories in. Currently, it can convert and dump databases.

Similar to commands like git(1) , smuxi-message-buffer takes a command as the first parameter. These commands can be cat (dumps a JSON representation of the database to standard output) or convert. (changes the database from one format to another) Note that the destination file can be set to "-" or empty in the case of convert, in which case it will export to stdout.

The following options can be used. Some options will depend on what command you're using.

-d, --debug
    Turn on debugging. Debug logs are outputted on the console.

-h, --help
    Show the arguments Smuxi takes.

--source-format=format

--format=format
    Manually specify a source format. Options include auto (figured out via filename), db4o, and sqlite.

--destination-format=format
    Manually specify a source destination, if converting. Options include auto (figured out via filename), db4o, and sqlite.

SEE ALSO
smuxi-frontend-gnome(1), smuxi-frontend-stfl(1), smuxi-server(1)

Website: https://smuxi.im/

AUTHOR/CREDITS
Smuxi, including this tool, was written by Mirco Bauer.

This manpage was written by Calvin Buckley.